import request from '@/utils/request'

// 查询单招省份列表
export function getControlProvinces(query) {
  return request({
    url: '/dz/control/provinces',
    method: 'get',
    params: query
  })
}

// 查询单招省份状态列表
export function listControl(query) {
  return request({
    url: '/dz/control/list',
    method: 'get',
    params: query
  })
}

// 查询单招省份状态详细
export function getControl(id) {
  return request({
    url: '/dz/control/' + id,
    method: 'get'
  })
}

// 新增单招省份状态
export function addControl(data) {
  return request({
    url: '/dz/control',
    method: 'post',
    data: data
  })
}

// 修改单招省份状态
export function updateControl(data) {
  return request({
    url: '/dz/control',
    method: 'put',
    data: data
  })
}

// 删除单招省份状态
export function delControl(id) {
  return request({
    url: '/dz/control/' + id,
    method: 'delete'
  })
}
